<h2 class="text-center" mat-dialog-title>Création d'un entrepôt</h2>

<form (ngSubmit)='onCreateWarehouse()'>
  <mat-dialog-content class="container">

    <div class="row"><!-- row -->
      <div class="col-12">
        <div class="row pb-2">
          <div class="col-12">
            <mat-form-field>
              <input [formControl]='name' matInput placeholder="Nom" required>
            </mat-form-field>
          </div>
        </div>
      </div>
    </div> <!-- ./row -->

    <div class="row">
      <div class="col-12">
        <div class="mat-elevation-z2">
          <table mat-table [dataSource]="dataSource" matSort>
            <!-- Nom Column -->
            <ng-container matColumnDef="name">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Nom </th>
              <td mat-cell *matCellDef="let user"> {{user.name}} </td>
            </ng-container>

            <!-- Email Column -->
            <ng-container matColumnDef="email">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Email </th>
              <td mat-cell *matCellDef="let user"> {{user.email}} </td>
            </ng-container>

            <!-- Administrateur Column -->
            <ng-container matColumnDef="admin">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Administrateur </th>
              <td mat-cell *matCellDef="let user">
                <mat-slide-toggle (change)='onChangeState(user)' [checked]="user.isAdmin"></mat-slide-toggle>
              </td>
            </ng-container>

            <!-- Actions Column -->
            <ng-container matColumnDef="actions">
              <th mat-header-cell *matHeaderCellDef class="text-center"> Actions </th>
              <td mat-cell *matCellDef="let user" class="text-center"><i (click)='onDeleteUser(user)' class="fa icon-click fa-trash"></i></td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let user; columns: displayedColumns;">
            </tr>
          </table>
          <mat-paginator [hidePageSize]="true" [pageSizeOptions]="[5]" showFirstLastButtons></mat-paginator>
        </div>
      </div>
    </div>
    <div class="row mt-3">
      <div class="col">
        <div class="row">
          <div class="col-10">
            <mat-form-field class="col">
              <input class="email" matInput placeholder="Email" [formControl]="email">
            </mat-form-field>
          </div>
          <div class="col-2">
            <button type='button' (click)='onAddUser()' class="btn btn-outline-secondary">Ajouter</button>
          </div>
        </div>
      </div>


    </div>
  </mat-dialog-content>

  <mat-dialog-actions align="center">
    <button class="btn btn-secondary" mat-dialog-close>Annuler</button>
    <button type="submit" class="btn btn-primary" cdkFocusInitial>Enregistrer</button>
  </mat-dialog-actions>
</form>
